

package gov.va.med.cds.mediator.work;


import java.util.List;


public interface WorkStateInterface
{
    void registerWorkState( String stateName, Object stateData )
        throws WorkStateException;


    Object locateWorkState( String stateName )
        throws WorkStateException;


    void addException( Exception messageMediatorExceptionList );


    List<Exception> getExceptions( );


    String getFormattedExceptionDetail( );


    int getExceptionCount( );
    
    boolean isWorkStateRegistered(String stateName);

}
